## eglot 1.9

=== Makefile ===
### Makefile for EGLOT
### 
# Variables
#
EMACS?=emacs
SELECTOR?=t
ERROR_ON_WARN=nil

LOAD_PATH=-L .

ELFILES := eglot.el eglot-tests.el
ELCFILES := $(ELFILES:.el=.elc)

ELPADEPS ?=--eval '(setq package-user-dir (expand-file-name "elpa-eglot-test" temporary-file-directory))'	\
           --eval '(package-initialize)'                        \
           --eval '(package-refresh-contents)'                  \
           --eval '(defun install-latest (p)                    \
                     (package-install                           \
                       (cadr (assoc p                           \
                              package-archive-contents          \
                              (quote equal)))))'                \
           --eval '(install-latest (quote jsonrpc))'            \
           --eval '(install-latest (quote project))'            \
           --eval '(install-latest (quote xref))'               \
           --eval '(install-latest (quote seq))'                \
           --eval '(install-latest (quote eldoc))'              \
           --eval '(unintern                                    \
                     (quote eldoc-documentation-function))'     \
           --eval '(load "eldoc")'                              \
           --eval '(install-latest (quote company))'            \
           --eval '(install-latest (quote yasnippet))'          \
           --eval '(install-latest (quote flymake))'

BYTECOMP_ERROR_ON_WARN := \
	--eval '(setq byte-compile-error-on-warn $(ERROR_ON_WARN))'

all: compile

# Compilation.  Note BYTECOMP_ERROR_ON_WARN after ELPADEPS 
# so deps can still warn on compilation.
#
%.elc: %.el
	$(EMACS) -Q $(ELPADEPS) $(BYTECOMP_ERROR_ON_WARN) $(LOAD_PATH) \
		--batch -f batch-byte-compile $<

compile: $(ELCFILES)

# Automated tests
#
eglot-check: compile
	$(EMACS) -Q --batch						\
		$(ELPADEPS)						\
		$(LOAD_PATH)						\
		-l eglot						\
		-l eglot-tests						\
		--eval '(setq ert-batch-backtrace-right-margin 200)'	\
		--eval '(ert-run-tests-batch-and-exit (quote $(SELECTOR)))'

eglot-check-noelpa: ELPADEPS=-f package-initialize
eglot-check-noelpa: eglot-check

interactive: compile
	$(EMACS) -Q							\
		$(ELPADEPS)						\
		$(LOAD_PATH)						\
		-l eglot						\
		-l eglot-tests						\

check: eglot-check-noelpa

# Cleanup
#
clean:
	find . -iname '*.elc' -exec rm {} \;
.PHONY: all compile clean check

=== debian/changelog ===
eglot (1.9-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 16 Oct 2022 12:52:52 -0700

eglot (1.9-1) unstable; urgency=medium

  * Initial release (Closes: #1021462).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 09 Oct 2022 02:52:04 +0200

=== debian/control ===
Source: eglot
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 dh-exec,
Standards-Version: 4.5.1
Homepage: https://github.com/joaotavora/eglot
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/eglot
Vcs-Git: https://salsa.debian.org/emacsen-team/eglot.git

Package: elpa-eglot
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Enhances: emacs
Description: Emacs client for Language Server Protocol servers
 This package provides a elisp library implementing a client for
 Language Server Protocol servers. It should need little or no
 configuration and be able to guess the LSP server to start for the
 language you're using. It only relies on elisp libraries developed in
 the Emacs mainline, and is seamlessly integrated with other core IDE
 functionalities (xref, project, completion-at-point, eldoc, flymake).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

# deactivate upstream Makefile
override_dh_auto_build:

## eglot 1.15

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
            --eval '(load "eldoc")'                              \
            --eval '(install-latest (quote company))'            \
            --eval '(install-latest (quote yasnippet))'          \
+           --eval '(install-latest (quote external-completion))'\
            --eval '(install-latest (quote flymake))'
 
 BYTECOMP_ERROR_ON_WARN := \

=== debian/changelog ===
eglot (1.15-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:01:35 +0900

eglot (1.15-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:58:50 +0900

eglot (1.15-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * New 1.15 upstream release (Closes: #1053976).
  * Add explicit emacs recommends to elpa-eglot.
  * Drop now unnecessary d/p/correct-version-number.patch.
  * Bump Standards-Version to 4.6.2 (no changes required).
  * Add language servers and elisp libs as Build-Depends for unit tests :
    - ccls
    - clangd
    - elpa-yasnippet (to test snippet expansion)
    - elpa-company (to test snippet expansion with company)
  * Remove d/install (referred file does not exist anymore).
  * Remove d/docs (referred file does not exist anymore).

  [ Debian Janitor ]
  * Trim trailing whitespace in d/rules.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Wed, 18 Oct 2023 21:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  dh-exec,
-Standards-Version: 4.5.1
+ ccls,
+ clangd,
+ elpa-yasnippet,
+ elpa-company,
+Standards-Version: 4.6.2
 Homepage: https://github.com/joaotavora/eglot
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/eglot
@@ -15,6 +19,7 @@
 Package: elpa-eglot
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
+Recommends: emacs
 Enhances: emacs
 Description: Emacs client for Language Server Protocol servers
  This package provides a elisp library implementing a client for
